Subject: Re: [apps-discuss] Feedback about "Update to MIME regarding Charset Parameter Handling in Textual Media Types"

From: Henri Sivonen <[email-masked]>
Date: Thu, 25 Oct 2012 10:21:00 +0300

On Wed, Feb 29, 2012 at 12:41 AM, Julian Reschke <[email-masked]> wrote:
> Also, I see that you would like us to sanction whatever algorithm the HTML5
> spec has come up with for handling text/html; potentially including content
> inspection and out-of-band information.
>
> I think out-of-band information is a non-starter; it just doesn't work for
> many environments, and breaks basic assumptions about message semantics; if
> you need to do that for text/html so be it, and label it a "willful
> violation", but by all means don't let this hack leak into new media type
> definitions.

text/html, text/css, text/plain, text/javascript and
application/javascript all use out of band information. Saying
otherwise would be denying reality and withholding relevant
information from developers who wish to write interoperable software.

-- 
Henri Sivonen
[email-masked]
http://hsivonen.iki.fi/

---

From: Henri Sivonen <[email-masked]>
Date: Thu, 25 Oct 2012 10:29:20 +0300

On Wed, Feb 29, 2012 at 4:34 AM, "Martin J. Dürst"
<[email-masked]> wrote:
> Do we really, in this day and age, expect a new type to define an ASCII
> compatible encoding that's not UTF-8 as a default?

I hope not!

> If the MUST is some basic Mime requirement, then I don't see any reason to
> repeat it here. If it's not, then I don't see why it couldn't be
> UTF-16(LE|BE) or some such.

Recently, I have again cleaned up a part of the mess made by people
who thought it was a good idea to allow UTF-16 to be used for
interchange. (See https://bugzilla.mozilla.org/show_bug.cgi?id=599320
Also, letting the BOM override HTTP could be seen as cleaning up the
UTF-16 mess.) The variants of UTF-16 are the only ASCII-incompatible
encodings left on the Web (see http://encoding.spec.whatwg.org/ ).
It’s really annoying to have to write special cases for them.
Especially when they have no good use compared to UTF-8.

For new formats, it makes the most sense to make them UTF-8 only. But
*at least*, please, ban UTF-16 for new formats.

-- 
Henri Sivonen
[email-masked]
http://hsivonen.iki.fi/